> ## Documentation Index
> Fetch the complete documentation index at: https://wb-21fd5541-docs-weave-byob-note.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# API 개요

> 인증 세부 정보와 함께 Chat Completion, 모델, 트레이닝 작업, 헬스 체크용 Serverless RL API 엔드포인트를 살펴보세요.

<Note>
  Serverless RL API는 서버리스 강화 학습(RL) 및 지도 파인튜닝(SFT)을 포함한 트레이닝 작업을 관리하고 상호작용할 수 있는 엔드포인트를 제공합니다. 이 API는 Chat Completion에 대해 OpenAI와 호환됩니다.
</Note>

<div id="authentication">
  ## 인증
</div>

모든 API 요청에는 W\&B API 키를 사용한 인증이 필요합니다. [wandb.ai/settings](https://wandb.ai/settings)에서 API 키를 생성할 수 있습니다.

`Authorization` 헤더에 API 키를 포함하세요:

```
Authorization: Bearer YOUR_API_KEY
```

<div id="base-url">
  ## 기본 URL
</div>

```
https://api.training.wandb.ai/v1
```

<div id="available-endpoints">
  ## 사용 가능한 엔드포인트
</div>

<div id="chat-completions">
  ### chat-completions
</div>

* **[POST /v1/chat/completions](https://docs.wandb.ai/serverless-rl/api-reference/chat-completions/create-chat-completion-1)** - Chat Completion을 생성합니다
* **[POST /v1/chat/completions/](https://docs.wandb.ai/serverless-rl/api-reference/chat-completions/create-chat-completion)** - Chat Completion을 생성합니다

<div id="models">
  ### 모델
</div>

* **[POST /v1/preview/models](https://docs.wandb.ai/serverless-rl/api-reference/models/create-model)** - 모델 생성
* **[DELETE /v1/preview/models/{model_id}](https://docs.wandb.ai/serverless-rl/api-reference/models/delete-model)** - 모델 삭제
* **[DELETE /v1/preview/models/{model_id}/checkpoints](https://docs.wandb.ai/serverless-rl/api-reference/models/delete-model-checkpoints)** - 모델 체크포인트 삭제
* **[GET /v1/preview/models/{model_id}/checkpoints](https://docs.wandb.ai/serverless-rl/api-reference/models/list-model-checkpoints)** - 모델 체크포인트 목록 조회
* **[POST /v1/preview/models/{model_id}/log](https://docs.wandb.ai/serverless-rl/api-reference/models/log)** - 로그 기록

<div id="training-jobs">
  ### 트레이닝 작업
</div>

* **[POST /v1/preview/sft-training-jobs](https://docs.wandb.ai/serverless-rl/api-reference/training-jobs/create-sft-training-job)** - SFT 트레이닝 작업 생성
* **[POST /v1/preview/training-jobs](https://docs.wandb.ai/serverless-rl/api-reference/training-jobs/create-rl-training-job)** - RL 트레이닝 작업 생성
* **[GET /v1/preview/training-jobs/{training_job_id}](https://docs.wandb.ai/serverless-rl/api-reference/training-jobs/get-training-job)** - 트레이닝 작업 조회
* **[GET /v1/preview/training-jobs/{training_job_id}/events](https://docs.wandb.ai/serverless-rl/api-reference/training-jobs/get-training-job-events)** - 트레이닝 작업 이벤트 조회

<div id="health">
  ### 상태
</div>

* **[GET /v1/health](https://docs.wandb.ai/serverless-rl/api-reference/health/health-check)** - 헬스 체크
* **[GET /v1/system-check](https://docs.wandb.ai/serverless-rl/api-reference/health/system-check)** - 시스템 점검

<div id="related-resources">
  ## 관련 자료
</div>

* [Serverless RL 개요](/ko/serverless-rl)
* [사전 요구 사항](/ko/serverless-rl/prerequisites)
* [Serverless SFT](/ko/serverless-rl/sft)
* [학습한 모델 사용하기](/ko/serverless-rl/use-trained-models)
* [사용 가능한 모델](/ko/serverless-rl/available-models)
* [사용 한도](/ko/serverless-rl/usage-limits)
